'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var DownloaderInterface = require('./DownloaderInterface.cjs');
var EddsaInterface = require('./EddsaInterface.cjs');
var HttpInterface = require('./HttpInterface.cjs');
var ProgramRepositoryInterface = require('./ProgramRepositoryInterface.cjs');
var RpcInterface = require('./RpcInterface.cjs');
var SerializerInterface = require('./SerializerInterface.cjs');
var Signer = require('./Signer.cjs');
var TransactionFactoryInterface = require('./TransactionFactoryInterface.cjs');
var UploaderInterface = require('./UploaderInterface.cjs');

const createNullContext = () => ({
  downloader: new DownloaderInterface.NullDownloader(),
  eddsa: new EddsaInterface.NullEddsa(),
  http: new HttpInterface.NullHttp(),
  identity: new Signer.NullSigner(),
  payer: new Signer.NullSigner(),
  programs: new ProgramRepositoryInterface.NullProgramRepository(),
  rpc: new RpcInterface.NullRpc(),
  serializer: new SerializerInterface.NullSerializer(),
  transactions: new TransactionFactoryInterface.NullTransactionFactory(),
  uploader: new UploaderInterface.NullUploader()
});

exports.createNullContext = createNullContext;
//# sourceMappingURL=Context.cjs.map
