'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var _rollupPluginBabelHelpers = require('./_virtual/_rollupPluginBabelHelpers.cjs');
var InterfaceImplementationMissingError = require('./errors/InterfaceImplementationMissingError.cjs');

class NullProgramRepository {
  constructor() {
    _rollupPluginBabelHelpers.defineProperty(this, "error", new InterfaceImplementationMissingError.InterfaceImplementationMissingError('ProgramRepositoryInterface', 'programs'));
  }
  has() {
    throw this.error;
  }
  get() {
    throw this.error;
  }
  all() {
    throw this.error;
  }
  add() {
    throw this.error;
  }
  resolveError() {
    throw this.error;
  }
}

exports.NullProgramRepository = NullProgramRepository;
//# sourceMappingURL=ProgramRepositoryInterface.cjs.map
