'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var _rollupPluginBabelHelpers = require('./_virtual/_rollupPluginBabelHelpers.cjs');
var InterfaceImplementationMissingError = require('./errors/InterfaceImplementationMissingError.cjs');

class NullTransactionFactory {
  constructor() {
    _rollupPluginBabelHelpers.defineProperty(this, "error", new InterfaceImplementationMissingError.InterfaceImplementationMissingError('TransactionFactoryInterface', 'transactions'));
  }
  create() {
    throw this.error;
  }
  serialize() {
    throw this.error;
  }
  deserialize() {
    throw this.error;
  }
  serializeMessage() {
    throw this.error;
  }
  deserializeMessage() {
    throw this.error;
  }
}

exports.NullTransactionFactory = NullTransactionFactory;
//# sourceMappingURL=TransactionFactoryInterface.cjs.map
