'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var _rollupPluginBabelHelpers = require('../_virtual/_rollupPluginBabelHelpers.cjs');
var PublicKey = require('../PublicKey.cjs');
var SdkError = require('./SdkError.cjs');

/** @group Errors */
class AccountNotFoundError extends SdkError.SdkError {
  constructor(publicKey, accountType, solution) {
    const message = `${accountType ? `The account of type [${accountType}] was not found` : 'No account was found'} at the provided address [${PublicKey.displayPublicKey(publicKey)}].${solution ? ` ${solution}` : ''}`;
    super(message);
    _rollupPluginBabelHelpers.defineProperty(this, "name", 'AccountNotFoundError');
  }
}

exports.AccountNotFoundError = AccountNotFoundError;
//# sourceMappingURL=AccountNotFoundError.cjs.map
