'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var _rollupPluginBabelHelpers = require('../_virtual/_rollupPluginBabelHelpers.cjs');
var SdkError = require('./SdkError.cjs');

/** @group Errors */
class InterfaceImplementationMissingError extends SdkError.SdkError {
  constructor(interfaceName, contextVariable) {
    const interfaceBasename = interfaceName.replace(/Interface$/, '');
    const message = `Tried using ${interfaceName} but no implementation of that interface was found. ` + `Make sure an implementation is registered, ` + `e.g. via "context.${contextVariable} = new My${interfaceBasename}();".`;
    super(message);
    _rollupPluginBabelHelpers.defineProperty(this, "name", 'InterfaceImplementationMissingError');
  }
}

exports.InterfaceImplementationMissingError = InterfaceImplementationMissingError;
//# sourceMappingURL=InterfaceImplementationMissingError.cjs.map
