'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var _rollupPluginBabelHelpers = require('../_virtual/_rollupPluginBabelHelpers.cjs');
var PublicKey = require('../PublicKey.cjs');
var MetaplexError = require('./MetaplexError.cjs');

/** @group Errors */
class ProgramError extends MetaplexError.MetaplexError {
  constructor(message, program, cause) {
    super(message, 'program', `${program.name} [${PublicKey.displayPublicKey(program.publicKey)}]`, cause);
    _rollupPluginBabelHelpers.defineProperty(this, "name", 'ProgramError');
    this.program = program;
    this.logs = cause?.logs;
    if (this.logs) {
      this.message += `\nProgram Logs:\n${this.logs.map(log => `| ${log}`).join('\n')}\n`;
    }
  }
}

exports.ProgramError = ProgramError;
//# sourceMappingURL=ProgramError.cjs.map
