'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var _rollupPluginBabelHelpers = require('../_virtual/_rollupPluginBabelHelpers.cjs');
var PublicKey = require('../PublicKey.cjs');
var SdkError = require('./SdkError.cjs');

/** @group Errors */
class UnexpectedAccountError extends SdkError.SdkError {
  constructor(publicKey, expectedType, cause) {
    const message = `The account at the provided address [${PublicKey.displayPublicKey(publicKey)}] ` + `is not of the expected type [${expectedType}].`;
    super(message, cause);
    _rollupPluginBabelHelpers.defineProperty(this, "name", 'UnexpectedAccountError');
  }
}

exports.UnexpectedAccountError = UnexpectedAccountError;
//# sourceMappingURL=UnexpectedAccountError.cjs.map
