'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var _rollupPluginBabelHelpers = require('../_virtual/_rollupPluginBabelHelpers.cjs');
var SdkError = require('./SdkError.cjs');

/** @group Errors */
class UnexpectedAmountError extends SdkError.SdkError {
  constructor(amount, expectedIdentifier, expectedDecimals) {
    const message = `Expected amount of type [${expectedIdentifier} with ${expectedDecimals} decimals] ` + `but got [${amount.identifier} with ${amount.decimals} decimals]. ` + `Ensure the provided Amount is of the expected type.`;
    super(message);
    _rollupPluginBabelHelpers.defineProperty(this, "name", 'UnexpectedAmountError');
    this.amount = amount;
    this.expectedIdentifier = expectedIdentifier;
    this.expectedDecimals = expectedDecimals;
  }
}

exports.UnexpectedAmountError = UnexpectedAmountError;
//# sourceMappingURL=UnexpectedAmountError.cjs.map
