import { InterfaceImplementationMissingError } from './errors/InterfaceImplementationMissingError.mjs';

let HttpMethod;
(function (HttpMethod) {
  HttpMethod["GET"] = "GET";
  HttpMethod["POST"] = "POST";
  HttpMethod["PUT"] = "PUT";
  HttpMethod["HEAD"] = "HEAD";
  HttpMethod["DELETE"] = "DELETE";
  HttpMethod["PATCH"] = "PATCH";
  HttpMethod["OPTIONS"] = "OPTIONS";
  HttpMethod["CONNECT"] = "CONNECT";
  HttpMethod["TRACE"] = "TRACE";
})(HttpMethod || (HttpMethod = {}));
class NullHttp {
  send() {
    throw new InterfaceImplementationMissingError('HttpInterface', 'http');
  }
}

export { HttpMethod, NullHttp };
//# sourceMappingURL=HttpInterface.mjs.map
