import { defineProperty as _defineProperty } from './_virtual/_rollupPluginBabelHelpers.mjs';
import { InterfaceImplementationMissingError } from './errors/InterfaceImplementationMissingError.mjs';

class NullProgramRepository {
  constructor() {
    _defineProperty(this, "error", new InterfaceImplementationMissingError('ProgramRepositoryInterface', 'programs'));
  }
  has() {
    throw this.error;
  }
  get() {
    throw this.error;
  }
  all() {
    throw this.error;
  }
  add() {
    throw this.error;
  }
  resolveError() {
    throw this.error;
  }
}

export { NullProgramRepository };
//# sourceMappingURL=ProgramRepositoryInterface.mjs.map
