import { defineProperty as _defineProperty } from '../_virtual/_rollupPluginBabelHelpers.mjs';
import { SdkError } from './SdkError.mjs';

/** @group Errors */
class InterfaceImplementationMissingError extends SdkError {
  constructor(interfaceName, contextVariable) {
    const interfaceBasename = interfaceName.replace(/Interface$/, '');
    const message = `Tried using ${interfaceName} but no implementation of that interface was found. ` + `Make sure an implementation is registered, ` + `e.g. via "context.${contextVariable} = new My${interfaceBasename}();".`;
    super(message);
    _defineProperty(this, "name", 'InterfaceImplementationMissingError');
  }
}

export { InterfaceImplementationMissingError };
//# sourceMappingURL=InterfaceImplementationMissingError.mjs.map
