import { defineProperty as _defineProperty } from '../_virtual/_rollupPluginBabelHelpers.mjs';
import { displayPublicKey } from '../PublicKey.mjs';
import { MetaplexError } from './MetaplexError.mjs';

/** @group Errors */
class ProgramError extends MetaplexError {
  constructor(message, program, cause) {
    super(message, 'program', `${program.name} [${displayPublicKey(program.publicKey)}]`, cause);
    _defineProperty(this, "name", 'ProgramError');
    this.program = program;
    this.logs = cause?.logs;
    if (this.logs) {
      this.message += `\nProgram Logs:\n${this.logs.map(log => `| ${log}`).join('\n')}\n`;
    }
  }
}

export { ProgramError };
//# sourceMappingURL=ProgramError.mjs.map
