import { defineProperty as _defineProperty } from '../_virtual/_rollupPluginBabelHelpers.mjs';
import { displayPublicKey } from '../PublicKey.mjs';
import { SdkError } from './SdkError.mjs';

/** @group Errors */
class UnexpectedAccountError extends SdkError {
  constructor(publicKey, expectedType, cause) {
    const message = `The account at the provided address [${displayPublicKey(publicKey)}] ` + `is not of the expected type [${expectedType}].`;
    super(message, cause);
    _defineProperty(this, "name", 'UnexpectedAccountError');
  }
}

export { UnexpectedAccountError };
//# sourceMappingURL=UnexpectedAccountError.mjs.map
