import { defineProperty as _defineProperty } from '../_virtual/_rollupPluginBabelHelpers.mjs';
import { SdkError } from './SdkError.mjs';

/** @group Errors */
class UnexpectedAmountError extends SdkError {
  constructor(amount, expectedIdentifier, expectedDecimals) {
    const message = `Expected amount of type [${expectedIdentifier} with ${expectedDecimals} decimals] ` + `but got [${amount.identifier} with ${amount.decimals} decimals]. ` + `Ensure the provided Amount is of the expected type.`;
    super(message);
    _defineProperty(this, "name", 'UnexpectedAmountError');
    this.amount = amount;
    this.expectedIdentifier = expectedIdentifier;
    this.expectedDecimals = expectedDecimals;
  }
}

export { UnexpectedAmountError };
//# sourceMappingURL=UnexpectedAmountError.mjs.map
