import { DownloaderInterface } from './DownloaderInterface';
import { EddsaInterface } from './EddsaInterface';
import { HttpInterface } from './HttpInterface';
import { ProgramRepositoryInterface } from './ProgramRepositoryInterface';
import { RpcInterface } from './RpcInterface';
import { SerializerInterface } from './SerializerInterface';
import { Signer } from './Signer';
import { TransactionFactoryInterface } from './TransactionFactoryInterface';
import { UploaderInterface } from './UploaderInterface';
export interface Context {
    downloader: DownloaderInterface;
    eddsa: EddsaInterface;
    http: HttpInterface;
    identity: Signer;
    payer: Signer;
    programs: ProgramRepositoryInterface;
    rpc: RpcInterface;
    serializer: SerializerInterface;
    transactions: TransactionFactoryInterface;
    uploader: UploaderInterface;
}
export declare const createNullContext: () => Context;
