import type { Keypair } from './KeyPair';
import type { Pda, PublicKey } from './PublicKey';
export interface EddsaInterface {
    generateKeypair: () => Keypair;
    createKeypairFromSecretKey: (secretKey: Uint8Array) => Keypair;
    createKeypairFromSeed: (seed: Uint8Array) => Keypair;
    isOnCurve: (publicKey: PublicKey) => boolean;
    findPda: (programId: PublicKey, seeds: Uint8Array[]) => Pda;
    sign: (message: Uint8Array, keypair: Keypair) => Uint8Array;
    verify: (message: Uint8Array, signature: Uint8Array, publicKey: PublicKey) => boolean;
}
export declare class NullEddsa implements EddsaInterface {
    generateKeypair(): Keypair;
    createKeypairFromSecretKey(): Keypair;
    createKeypairFromSeed(): Keypair;
    isOnCurve(): boolean;
    findPda(): Pda;
    sign(): Uint8Array;
    verify(): boolean;
}
