import type { Cluster } from './Cluster';
import type { ProgramError } from './errors';
import type { PublicKey } from './PublicKey';
export type ErrorWithLogs = Error & {
    logs: string[];
};
export type ErrorWithCode = Error & {
    code: number;
};
export declare const isErrorWithLogs: (error: unknown) => error is ErrorWithLogs;
export type Program = {
    name: string;
    publicKey: PublicKey;
    getErrorFromCode: (code: number, cause?: Error) => ProgramError | null;
    getErrorFromName: (name: string, cause?: Error) => ProgramError | null;
    isOnCluster: (cluster: Cluster) => boolean;
};
