export declare const PUBLIC_KEY_LENGTH = 32;
export type HasPublicKey = {
    publicKey: PublicKey;
};
export type PublicKeyBase58 = string;
export type PublicKeyBytes = Uint8Array;
export type PublicKeyInput = HasPublicKey | PublicKey | PublicKeyBase58 | PublicKeyBytes;
export type PublicKey = {
    readonly bytes: PublicKeyBytes;
};
export type Pda = PublicKey & {
    readonly bump: number;
};
export declare const publicKey: (input: PublicKeyInput) => PublicKey;
export declare const defaultPublicKey: () => PublicKey;
export declare const isPublicKey: (value: any) => value is PublicKey;
export declare const isPda: (value: any) => value is Pda;
export declare function assertPublicKey(value: any): asserts value is PublicKey;
export declare const samePublicKey: (left: PublicKeyInput, right: PublicKeyInput) => boolean;
export declare const displayPublicKey: (key: PublicKeyInput) => string;
export declare const checkForIsWritableOverride: (account: (PublicKey | HasPublicKey) & {
    isWritable?: boolean;
}, value: boolean) => boolean;
