import type { SerializedTransaction, SerializedTransactionMessage, Transaction, TransactionInput, TransactionMessage } from './Transaction';
export interface TransactionFactoryInterface {
    create(input: TransactionInput): Transaction;
    serialize(transaction: Transaction): SerializedTransaction;
    deserialize(serializedTransaction: SerializedTransaction): Transaction;
    serializeMessage(message: TransactionMessage): SerializedTransactionMessage;
    deserializeMessage(serializedMessage: SerializedTransactionMessage): TransactionMessage;
}
export declare class NullTransactionFactory implements TransactionFactoryInterface {
    private readonly error;
    create(): Transaction;
    serialize(): SerializedTransaction;
    deserialize(): Transaction;
    serializeMessage(): SerializedTransactionMessage;
    deserializeMessage(): TransactionMessage;
}
