import type { Program } from '../Program';
import { MetaplexError } from './MetaplexError';
export type UnderlyingProgramError = Error & {
    code?: number;
    logs?: string[];
};
/** @group Errors */
export declare class ProgramError extends MetaplexError {
    readonly name: string;
    readonly program: Program;
    readonly logs?: string[];
    constructor(message: string, program: Program, cause?: UnderlyingProgramError);
}
